FileUtils (Solr 3.6.2 API)
Keywords: org.apache.solr.common.util.FileUtils class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.common.util
Class FileUtils

    java.lang.Object
      org.apache.solr.common.util.FileUtils

    public class FileUtils

extends Object

Version:
  $Id: FileUtils.java 1128254 2011-05-27 10:50:55Z mikemccand $

Constructor Summary
`FileUtils()`

Method Summary
`static void` | `copyFile(File src, File destination)`
`static File` | `resolvePath(File base, String path)` Resolves a path relative a base directory.
`static void` | `sync(File fullFile)` Copied from Lucene's FSDirectory.fsync(String)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileUtils

    public FileUtils()

Method Detail

### resolvePath

    public static File resolvePath(File base,
                                   String path)

  Resolves a path relative a base directory.

  This method does what "new File(base,path)" Should do, it wasn't completely lame: If path is absolute, then a File for that path is returned; if it's not absoluve, then a File is returnd using "path" as a child of "base")

### copyFile

    public static void copyFile(File src,
                                File destination)
                         throws IOException

  Throws:
    `IOException`

### sync

    public static void sync(File fullFile)
                     throws IOException

  Copied from Lucene's FSDirectory.fsync(String)

  Parameters:
    `fullFile` - the File to be synced to disk
  Throws:
    `IOException` - if the file could not be synced

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD